org.apache.cassandra.io.util

## Class DataIntegrityMetadata

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata

    public class DataIntegrityMetadata
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `DataIntegrityMetadata.ChecksumValidator`
`static class` `DataIntegrityMetadata.FileDigestValidator`

### Constructor Summary

Constructors
Constructor and Description
`DataIntegrityMetadata()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DataIntegrityMetadata.ChecksumValidator` `checksumValidator(Descriptor desc)`
`static DataIntegrityMetadata.FileDigestValidator` `fileDigestValidator(Descriptor desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataIntegrityMetadata

    public DataIntegrityMetadata()

### Method Detail

#### checksumValidator

    public static DataIntegrityMetadata.ChecksumValidator checksumValidator(Descriptor desc)
                                                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### fileDigestValidator

    public static DataIntegrityMetadata.FileDigestValidator fileDigestValidator(Descriptor desc)
                                                                         throws java.io.IOException

Throws:
  `java.io.IOException`